Subject: RE: Augmenting MAU-MIB - was: RE: [Hubmib] EFM MIB Internet-Drafts, WG Meetings

From: "C. M. Heard" <[email-masked]>
Date: Fri, 31 Oct 2003 23:45:29 -0800 (PST)

Colleagues,

I forgot to metion this earlier, but it occurs to me that the EFM
effort is not the only one that will define new standard MAU types.
10GBASE-CX4 and 10GBASE-T will also do that.  So if the MAU MIB is
opened up for modification to add new MAU types the WG may wish to
consider adding support for 10GBASE-CX4 and 10GBASE-T media types.
Attached below is an earlier message of mine on this subject.

Mike

Subject: [Hubmib] 10GBASE-CX4 and 10GBASE-T
From: "C. M. Heard" <[email-masked]>
To: Hub MIB <[email-masked]>
Date: Tue, 14 Jan 2003 12:03:41 -0800 (PST)
List-Id: <hubmib.ietf.org>

Hub MIB folks,

For those who aren't already aware, I'd like to bring your
attention to the fact that there are two IEEE study groups
at work on new PMDs for 10 Gb/s Ethernet.  The 10GBASE-CX4
group is working on a 15 m shielded copper solution that
will use the same PCS as does 10GBASE-LX4.  The 10GBASE-T
group is working on a 100 m UTP solution.  Those who are
interested can find more information on the 802.3 web site
http://grouper.ieee.org/groups/802/3/

The 10GBASE-CX4 effort has, I believe, the much shorter
timeline, and it appears that the impact on our documents
will be minimal.  In fact as far as I can tell, the only
document that will be affected is the MAU-MIB document,
and the changes to it will be confined to the following
additions:

       [ ... ]

       dot3MauType10GigBaseCX4 OBJECT-IDENTITY
           STATUS      current
           DESCRIPTION "X fiber over copper (per 802.3 section
                       54)"
           ::= { dot3MauType XX } -- NOTE: next unassigned value is 41

       [ ... ]

       ifMauTypeListBits OBJECT-TYPE
           SYNTAX      BITS {
               [ ... ]
               b10GbaseCX4(XX),   -- 10GBASE-CX4  (see NOTE above)
               [ ... ]
           }
       [ ... ]

These would mirror the proposed changes to Clause 30, which you can
find here:

http://grouper.ieee.org/groups/802/3/10GBCX4/public/jan03/WP2p0_cls30_annex30B.pdf

While it is probably not be appropriate to include this stuff in the
next MAU-MIB draft that includes the 802.3ae stuff, the changes are
small enough that they should be able to go into a maintenance update
without affecting time-in-grade, or else when then the document
advances Draft Standard.

The impact of 10GBASE-T is harder to gauge.

Mike Heard

_______________________________________________
Hubmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hubmib